### Hierarchy

- VehicleWheelCollection

## Index

### Constructors

- constructor

### Properties

- _owner
- _vehicleWheels

### Methods

- burstAllWheels
- fixAllWheels
- getAllWheels
- getWheel
- hasWheel

## Constructors

### constructor

- new VehicleWheelCollection(owner: Vehicle): VehicleWheelCollection

- - Defined in models/VehicleWheelCollection.ts:9

  #### Parameters

  - ##### owner: Vehicle

  #### Returns VehicleWheelCollection

## Properties

### Private _owner

_owner: Vehicle

- Defined in models/VehicleWheelCollection.ts:6

### Private Readonly _vehicleWheels

_vehicleWheels: Map<number, VehicleWheel> = ...

- Defined in models/VehicleWheelCollection.ts:7

## Methods

### burstAllWheels

- burstAllWheels(): void

- - Defined in models/VehicleWheelCollection.ts:33

  #### Returns void

### fixAllWheels

- fixAllWheels(): void

- - Defined in models/VehicleWheelCollection.ts:39

  #### Returns void

### getAllWheels

- getAllWheels(): (undefined | null | VehicleWheel)[]

- - Defined in models/VehicleWheelCollection.ts:20

  #### Returns (undefined | null | VehicleWheel)[]

### getWheel

- getWheel(index: VehicleWheelIndex): undefined | VehicleWheel

- - Defined in models/VehicleWheelCollection.ts:13

  #### Parameters

  - ##### index: VehicleWheelIndex

  #### Returns undefined | VehicleWheel

### hasWheel

- hasWheel(wheel: VehicleWheelIndex): boolean

- - Defined in models/VehicleWheelCollection.ts:45

  #### Parameters

  - ##### wheel: VehicleWheelIndex

  #### Returns boolean

Generated using TypeDoc